<?php

namespace Modules\ChipOrder\Models;

use Illuminate\Database\Eloquent\Model;
use Modules\Chip\Models\Chip;

class ChipOrderProduct extends Model
{
    public $timestamps = true;
    protected $fillable =
        [
            'count',
            'chip_order_id',
            'chip_id',
            'price',
            'created_at',
            'updated_at'
        ];


    public function order()
    {
        return $this->belongsTo(ChipOrder::class)->withTrashed();
    }
    public function chip()
    {
        return $this->belongsTo(Chip::class, 'chip_id')->withTrashed();
    }
}
